Bug 446245 - Wrong path for stage2 in grub.conf
Wrong path for stage2 in grub.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 13:49 EDT by Stefan Neufeind
Modified: 2008-11-26 01:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:13:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2008-05-13 13:49:42 EDT
Used preupgrade from "updates-testing" Fedora8 to upgrade to Fedora 9. Worked
almost fine (added repo-URLs manually etc.). But for me a grub.conf-entry was
created which included:

  stage2=hd:sda5:boot/upgrade/stage2.img

Upon booting it was unable to find it's stage2-image. An output of the actually
URL used showed that the path needed another slash before "boot" - either in the
setting or at the place where that path was appended to the "mount-point".

Adding a slash in to get hd:sda5:/boot/... fixed the problem for me. Either way:
Seems we're missing a slash - in one or the other place.
Comment 1 Will Woods 2008-05-14 12:06:06 EDT
This might be the same as https://fedorahosted.org/preupgrade/ticket/19 - do you
have a separate /boot partition? If not, then it's probably the same thing.
Comment 2 Nicola Soranzo 2008-05-14 12:53:04 EDT
I have the same problem of Stefan and I don't have a separate /boot partition.
Comment 3 Will Woods 2008-05-14 13:36:35 EDT
Okay, probably the same thing. I'm setting up a test machine now and hope to
have a fix by the end of the day.
Comment 4 Stefan Neufeind 2008-05-14 15:55:41 EDT
I don't have a separate boot-partition, it's part of /root. And yes, the
error-message Will pointed to looks familiar to me :-) So I guess that's the
issue we're talking about.
Comment 5 Will Woods 2008-05-14 18:23:01 EDT
Should be fixed in bzr rev 129. Tested, and it works for me. If you want to
confirm, you can pull down a copy of the bzr repo:
  bzr clone bzr://bzr.fedoraproject.org/bzr/preupgrade/dev preupgrade
  cd preupgrade
  ./preupgrade-gtk.py
or wait for the next preupgrade build.
Comment 6 Habig, Alec 2008-06-19 13:12:58 EDT
A suggestion - it's a month later and I was just bit by this bug, which would be
a showstopper for anyone who doesn't know how to root around in bugzilla. 
Pushing the fixed version through koji/bodhi (for F-8, F-9, devel) is pretty
easy and will certainly save some people out there a nasty surprise!

I'd imagine that there's a pretty sizeable bulge of people upgrading now (a
month after the F-9 release, everyone who wanted to wait for things to settle
before upgrading production machines).  Could you please push the fixed version?
 Thanks on behalf of all the yet-to-be-crashed users out there :)
Comment 7 Andrew Ziem 2008-06-24 09:57:33 EDT
FWIW, I had the same path problem in preupgrade-0.9.3-3.fc7.noarch when
upgrading from F7 to F9.
Comment 8 Fedora Update System 2008-10-02 19:04:02 EDT
preupgrade-0.9.8-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/preupgrade-0.9.8-2.fc9
Comment 9 Fedora Update System 2008-10-02 19:04:05 EDT
preupgrade-0.9.8-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/preupgrade-0.9.8-2.fc8
Comment 10 Fedora Update System 2008-10-03 18:28:36 EDT
preupgrade-0.9.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 11 Fedora Update System 2008-10-03 18:32:01 EDT
preupgrade-0.9.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 12 Fedora Update System 2008-10-23 12:36:45 EDT
preupgrade-0.9.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 13 Fedora Update System 2008-10-23 12:40:02 EDT
preupgrade-0.9.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 14 Fedora Update System 2008-11-11 21:58:20 EST
preupgrade-0.9.9-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 15 Fedora Update System 2008-11-11 21:59:21 EST
preupgrade-0.9.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 16 Fedora Update System 2008-11-21 18:49:05 EST
preupgrade-1.0.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.0.0-1.fc10
Comment 17 Fedora Update System 2008-11-26 01:12:36 EST
preupgrade-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-11-26 01:13:35 EST
preupgrade-1.0.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-11-26 01:22:04 EST
preupgrade-1.0.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.